# class JGRtpMedia | A Jingle data payload. More...
Full name | `TelEngine::JGRtpMedia`
Definition | `#include <libs/yjabber/yatejingle.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline JGRtpMedia (const char* id, const char* name, const char* clockrate, const char* synonym, const char* channels = 0, const char* pTime = 0, const char* maxPTime = 0, const char* bitRate = 0)
- inline JGRtpMedia (XmlElement* xml)
- inline JGRtpMedia (const JGRtpMedia& src)
- inline void set (const char* id, const char* name, const char* clockrate, const char* synonym = 0, const char* channels = 0, const char* pTime = 0, const char* maxPTime = 0, const char* bitRate = 0)
- virtual const String& toString () const
- XmlElement* toXml () const
- void fromXml (XmlElement* xml)

#### Public Members

- String m_id
- String m_name
- String m_clockrate
- String m_synonym
- String m_channels
- String m_pTime
- String m_maxPTime
- String m_bitRate
- NamedList m_params

## Detailed Description

This class holds a Jingle data payload description

inline JGRtpMedia (const char* id, const char* name, const char* clockrate, const char* synonym, const char* channels = 0, const char* pTime = 0, const char* maxPTime = 0, const char* bitRate = 0) | ### JGRtpMedia

Constructor. Fill this object from the given attributes

Parameters:

id | The 'id' attribute
name | The 'name' attribute
clockrate | The 'clockrate' attribute
synonym | Application synonym for this payload
channels | Optional 'channels' attribute (the number of channels)
pTime | Optional "ptime" attribute (packet time)
maxPTime | Optional "maxptime" attribute (maximum packet time)
bitRate | Optional "bitrate" attribute

inline JGRtpMedia (XmlElement* xml) | ### JGRtpMedia

Constructor. Fill this object from an XML element

Parameters:

xml | The element to fill from

inline JGRtpMedia (const JGRtpMedia& src) | ### JGRtpMedia

Copy constructor

inline void set (const char* id, const char* name, const char* clockrate, const char* synonym = 0, const char* channels = 0, const char* pTime = 0, const char* maxPTime = 0, const char* bitRate = 0) | ### set

Set the data

Parameters:

id | The 'id' attribute
name | The 'name' attribute
clockrate | The 'clockrate' attribute
synonym | Application synonym for this payload
channels | Optional 'channels' attribute (the number of channels)
pTime | Optional "ptime" attribute (packet time)
maxPTime | Optional "maxptime" attribute (maximum packet time)
bitRate | Optional "bitrate" attribute

const String& toString () | ### toString

[const virtual]

Get the string repreasentation (id) of this payload

Returns: The string repreasentation (id) of this payload

Reimplemented from GenObject.

XmlElement* toXml () | ### toXml

[const]

Create a 'payload-type' element from this object

Returns: Valid XmlElement pointer

void fromXml (XmlElement* xml) | ### fromXml

Fill this object from a given element

Parameters:

xml | The element

String m_id | ### m_id

String m_name | ### m_name

String m_clockrate | ### m_clockrate

String m_synonym | ### m_synonym

String m_channels | ### m_channels

String m_pTime | ### m_pTime

String m_maxPTime | ### m_maxPTime

String m_bitRate | ### m_bitRate

NamedList m_params | ### m_params

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.